Skip to main content
GET
Get a transaction

Prerequisites

Use a transactions-capable business account and a valid API key.
This operation is limited to 600 requests per minute per business and API key.

Authorizations

Authorization
string
header
required

A secret API key, sent as Authorization: Bearer sk_test_… in sandbox or Bearer sk_live_… in live.

Path Parameters

transactionId
string
required

Transaction ULID. A 26-character ULID.

Required string length: 26
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
Example:

"01K2Z3AB4C5D6E7F8G9HJKMNPQ"

Response

Successful response.

id
string
required

A 26-character ULID.

Required string length: 26
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
Example:

"01K2Z3AB4C5D6E7F8G9HJKMNPQ"

account
object
required
amount
string
required

An integer number of the asset’s smallest unit. Use this value for arithmetic.

Pattern: ^-?\d+$
Example:

"2500000"

amountFormatted
string
required
fee
string
required

An integer number of the asset’s smallest unit. Use this value for arithmetic.

Pattern: ^-?\d+$
Example:

"2500000"

feeFormatted
string
required
balanceBefore
string
required

An integer number of the asset’s smallest unit. Use this value for arithmetic.

Pattern: ^-?\d+$
Example:

"2500000"

balanceBeforeFormatted
string
required
balanceAfter
string
required

An integer number of the asset’s smallest unit. Use this value for arithmetic.

Pattern: ^-?\d+$
Example:

"2500000"

balanceAfterFormatted
string
required
currency
enum<string>
required
Available options:
NGN,
USD,
GBP,
EUR,
GHS,
ZAR,
UGX,
CAD,
MXN,
AED,
BTC,
ETH,
USDT,
USDC
type
enum<string>
required
Available options:
debit,
credit
category
enum<string>
required
Available options:
card,
transfer,
bills_payment,
crypto
subCategory
enum<string>
required
Available options:
charge,
card_funding,
card_withdrawal,
refund,
crypto_deposit,
crypto_withdrawal,
utility,
data,
airtime,
cable_tv,
education,
betting,
donation,
internet,
transport,
other,
inward,
outward
status
enum<string>
required
Available options:
pending,
completed,
failed,
reversed,
rejected
channel
string | null
required
internalReference
string
required
externalReference
string | null
required
groupReference
string | null
required
reversalOfTransactionId
string | null
required

A 26-character ULID.

Required string length: 26
Pattern: ^[0-7][0-9A-HJKMNP-TV-Z]{25}$
Example:

"01K2Z3AB4C5D6E7F8G9HJKMNPQ"

narration
string | null
required
createdAt
string<date-time>
required
Example:

"2026-08-14T09:00:00.000Z"